Search documentation of stripe_elixir

# StripeElixir.Services.Issuing.PersonalizationDesignService (stripe_elixir v0.1.0)

Copy Markdown View Source

IssuingPersonalizationDesign

A Personalization Design is a logical grouping of a Physical Bundle, card logo, and carrier text that represents a product line.

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a personalization design

list(client, params \\ %{}, opts \\ [])

List all personalization designs

retrieve(client, personalization_design, params \\ %{}, opts \\ [])

Retrieve a personalization design

update(client, personalization_design, params \\ %{}, opts \\ [])

Update a personalization design

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Create a personalization design

Creates a personalization design object.

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List all personalization designs

Returns a list of personalization design objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

# retrieve(client, personalization_design, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a personalization design

Retrieves a personalization design object.

# update(client, personalization_design, params \\ %{}, opts \\ [])

    @spec update(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Update a personalization design

Updates a card personalization object.